
Infrastructure - Bug #7933

d1-index-task-processor stops processing task queue

2016-11-14 13:33 - Dave Vieglais

Status: New Start date: 2016-11-29

Priority: Normal Due date:  

Assignee: Jing Tao % Done: 0%

Category: d1_indexer Estimated time: 0.00 hour

Target version: CCI-2.4.0   

Milestone: None Story Points:  

Product Version: *   

Description

The index processor stops processing or processes extremely slowly, failing to drain the task queue.

Attempting to stop using "service d1-index-task-processor stop" fails, with the process continuing to run very slowly for hours.

SELECT status,deleted,COUNT(*) AS cnt FROM index_task GROUP BY status,deleted ORDER BY status;

status deleted cnt

FAILED f 3269

IN PROCESS f 2

NEW t 1621

NEW f 64348

cn-index-processor-daemon.log:

[ INFO] 2016-11-14 13:36:10,874 (IndexTaskProcessorScheduler:stop:88) Job executing, waiting for it to complete.....

[ INFO] 2016-11-14 13:36:15,876 (IndexTaskProcessorScheduler:stop:88) Job executing, waiting for it to complete.....

[ INFO] 2016-11-14 13:36:18,972 (IndexTaskProcessor:isResourceMapReadyToIndex:197) Not all map resource references indexed

for map: resource_map_doi:10.18739/A25G76.  Marking new and continuing...

[ INFO] 2016-11-14 13:36:18,979 (IndexTaskProcessor:getNextIndexTask:178) Task for pid: resource_map_doi:10.18739/A25G76

not processed.

[ INFO] 2016-11-14 13:36:18,982 (IndexTaskProcessor:getNextIndexTask:161) Start of indexing pid:

resource_map_doi:10.18739/A25G8K

[ INFO] 2016-11-14 13:36:20,876 (IndexTaskProcessorScheduler:stop:88) Job executing, waiting for it to complete.....

[ INFO] 2016-11-14 13:36:25,877 (IndexTaskProcessorScheduler:stop:88) Job executing, waiting for it to complete.....

[ INFO] 2016-11-14 13:36:30,877 (IndexTaskProcessorScheduler:stop:88) Job executing, waiting for it to complete.....

[ INFO] 2016-11-14 13:36:35,878 (IndexTaskProcessorScheduler:stop:88) Job executing, waiting for it to complete.....

[ INFO] 2016-11-14 13:36:40,878 (IndexTaskProcessorScheduler:stop:88) Job executing, waiting for it to complete.....

Subtasks:

Task # 7945: D1-index-processor should be shut down soon after stop given Closed

History

#1 - 2016-11-14 13:37 - Dave Vieglais

- Description updated

#2 - 2016-11-15 19:04 - Dave Vieglais

(oops - edited wrong ticket)

#3 - 2016-12-02 00:23 - Dave Vieglais

- Target version changed from CCI-2.3.1 to CCI-2.4.0
This appears to be normal behavior, but a symptom of a larger issue that begs some refactoring of the indexing process in general. Moving to 2.4 as

something to be addressed in a bigger picture.
